#pragma once

#include "CoreMinimal.h"
#include "CoreInboxBodySectionBaseWidget.h"
#include "CoreInboxBodySectionHeaderWidget.generated.h"

class UDBDRichTextBlock;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreInboxBodySectionHeaderWidget : public UCoreInboxBodySectionBaseWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDRichTextBlock* TextRTB;

public:
	UCoreInboxBodySectionHeaderWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreInboxBodySectionHeaderWidget) { return 0; }
